2026-01-26 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.24.8

2026-01-17 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.24.7

2025-10-20 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.24.6

2025-08-02 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.24.5

2025-06-01 Pavel Vinogradov <public@sourcemage.org>
	* DDPENDS: added optional nlohmann_json

2025-05-21 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.24.4

2025-04-09 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.24.3
	* DDPENDS: removed yajl, no more soundcloud plugin, reorganized expat
	  dependency

2025-03-27 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.24.2

2025-03-21 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.24.1

2025-03-11 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.24
	* DEPENDS: no longer needs boost

2025-01-29 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.23.17

2024-12-03 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.23.16
	* patches/fmt-11.patch, patches/icu-76.patch: removed, applied in upstream

2024-10-27 Pavel Vinogradov <public@sourcemage.org>
	* patches/icu-76.patch: added to build with ICU 76

2024-07-06 Pavel Vinogradov <public@sourcemage.org>
	* patches/fmt-11.patch: added to build with fmt 11

2023-12-21 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.23.15

2023-10-12 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.23.14

2023-06-29 Conner Clere <xenanthropy@sourcemage.org>
	* DEPENDS: fix wave_encoder flag

2023-05-22 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.23.13
	* patches/fmt-10.patch: removed

2023-05-15 Pavel Vinogradov <public@sourcemage.org>
	* patches/fmt-10.patch: added combined patch to fix building with fmt 10

2023-01-18 Pavel Vinpgradov <public@sourcemage.org>
	* DETAILS: version 0.23.12
	* patches/mpd-0.23.11-boost-1.81.patch: dropped, no longer needed

2023-01-02 Pavel Vinpgradov <public@sourcemage.org>
	* patches/mpd-0.23.11-boost-1.81.patch: added to build with boost 1.81

2022-11-28 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.23.11

2022-10-15 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.23.10

2022-08-19 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.23.9

2022-07-23 Pavel Vinogradov <public@sourcemage.org>
	* DEPENDS: libopus -> opus

2022-07-10 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.23.8
	* patches/{pipewire-nullptr-check,fmt-v9}.patch: dropped, fixed by upstream

2022-07-06 Pavel Vinogradov <public@sourcemage.org>
	* patches/pipewire-nullptr-check.patch: added fix preventing mpd from crashing
	  when output is pipewire >= 0.3.53

2022-07-05 Pavel Vinogradov <public@sourcemage.org>
	* patches/fmt-v9.patch: added for fmt v9 API

2022-06-13 Pavel Vinogradov <public@sourcemage.org>
	* BUILD, CONFIGURE, DEPENDS: reorganized flags, reenabled CONFIGURE options,
	  uncommented python-sphinx optional dependency

2022-05-10 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.23.7
	* DEPENDS: added optional libiconv
	* PRE_BUILD, patches/av_free.patch: added to fix undefined reference
	  to av_free() when building with ffmpeg-svn

2022-03-18 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.23.6
	* DEPENDS: use grimoire-wide MESON_DEPENDS

2021-12-19 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.23.5

2021-11-16 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.23.4

2021-11-04 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.23.3
	* DEPENDS: depends on fmt plus optionally depends on pipewire

2021-08-15 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.22.10
	* DEPENDS: removed tcp_wrappers

2021-07-15 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.22.9
	* BUILD: corrected documentation flag

2020-06-12 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.21.24

2020-05-03 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.21.23

2020-04-05 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.21.22

2020-03-20 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.21.21

2020-02-20 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.21.20

2020-01-19 Florian Franzmann <bwlf@bandrate.org>
	* BUILD, DEPENDS, DETAILS: version 0.21.19

2019-09-23 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.21.14

2019-01-19 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.21.4

2018-11-03 Pavel Vinogradov <public@sourcemage.org>
	* CONFIGURE, DEPENDS: fixed meson flags

2018-11-03 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.21
	* CONFIGURE, DEPENDS, DETAILS, BUILD: switch to meson

2018-08-19 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.20.21

2018-05-23 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.20.20

2018-05-05 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.20.19

2018-02-24 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.20.18

2018-02-11 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.20.17

2018-02-03 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.20.16
	* PRE_BUILD, libcdio.patch: removed

2018-02-02 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.20.15
	* DEPENDS: added optional libcdio
	* PRE_BUILD, libcdio.patch: added a fix for new libcdio API

2017-11-26 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.20.12

2017-10-21 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.20.11

2017-09-28 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: rename mpd.gpg to maxk.gpg and move it to the grimoire scope

2017-08-24 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.20.10

2017-06-04 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.20.9

2017-05-19 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.20.8

2017-05-18 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: switched to GPG checking, removed GitHub mirror, no .xz
	  there
	* mpd.gpg: added Max Kellermann's key

2017-05-17 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.20.7, added GitHub mirror

2017-03-10 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.20.6

2017-02-22 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.20.5

2017-02-01 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.20.4

2017-01-26 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.20.3

2017-01-15 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.20.2

2017-01-10 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.20.1, VERSION is sliced now in SOURCE_URL[0]
	* DEPENDS: removed glib2

2017-01-06 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.20, adjusted SOURCE_URL[0]

2016-12-30 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.19.21, removed BRANCH

2016-09-02 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: updated spell to 0.19.19

2016-08-11 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: updated spell to 0.19.18

2016-06-16 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: version 0.19.16

2016-04-30 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.19.15

2016-03-25 Florian Franzmann <bwlf@bandrate.org>
	* TRIGGERS: on cast icu check self

2016-03-23 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.19.14

2015-08-08 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.19.10

2015-05-16 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: added missing boost dependency; glib2, zlib become optional

2015-02-09 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.19.9
	* DEPENDS: added missing icu optional dependency
	* CONFIGURE: remove obsolete oggflac options

2015-02-01 Pavel Vinogradov <public@sourcemage.org>
	* DETAILS: Fixed SOURCE_URL[0], removed BRANCH
	  updated spell to 0.19.8

2014-11-26 Ismael Luceno <ismael@sourcemage.org>
	* DETAILS: updated spell to 0.19.4

2014-09-26 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.18.16
	* BUILD: cleaned up; error-safe++

2014-09-26 Remko van der Vossen <wich@sourcemage.org>
	* BUILD: fix build with existing LDFLAGS (like --as-needed)

2014-09-25 Remko van der Vossen <wich@sourcemage.org>
	* DEPENDS: depends libogg if libvorbis is enabled

2014-09-12 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.18.14

2014-09-02 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.18.13
	* CONFIGURE: removed obsolete options
	* DEPENDS: removed obsolete dependencies: libffado, lastfm, libsoup;
	  added missing dependencies: libmpdclient, gcc; updated TODO list

2014-03-26 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.18.9

2014-02-28 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.18.8

2014-01-05 Florian Franzmann <bwlf@bandrate.org>
	* DETAILS: version 0.18.6
	* DEPENDS: depend on stable version of ffmpeg if ffmpeg is selected,
	  remove optional dependency on libmpcdec since our libmpcdec is
	  incompatible with mpd
	* BUILD: forcibly disable dependency on libmpcdec to prevent build error

2013-08-31 Florian Franzmann <bwlf@bandrate.org>
	* BUILD: fix library search path so libresid-builder is found

2013-08-27 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.17.5

2013-04-18 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.17.4; updated source url

2013-02-24 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: switched from libcdio to libcdio-paranoia

2013-01-07 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.17.3

2012-12-04 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.17.2
	* CONFIGURE: added missing/new configure options; added missing "&&";
	  reset default value for pipe-output
	* DEPENDS: dropped support for deprecated dependencies; added new
	  optional dependencies; added TODO list in a comment

2012-06-12 Thomas Orgis <sobukus@sourcemage.org>
	* DEPENDS: need doxygen for docs, too

2012-04-13 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.16.8

2012-02-15 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.16.7

2011-12-03 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.16.6

2011-10-24 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.16.5

2011-09-20 Arjan Bouter <abouter@sourcemage.org>
	* DEPENDS: added wildmidi support

2011-09-12 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.16.4

2011-06-16 Pol Vinogradov <vin.public@gmail.com>
	* DETAILS: updated spell to 0.16.3

2011-03-27 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.16.2

2011-01-15 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.16.1

2010-12-12 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.16
	* DEPENDS: corrected flags, added new dependencies
	* CONFIGURE: added new configure options
	* init.d/mpd: ``--create-db'' isn't used anymore
	* init.d/mpd.conf: updated example config file

2010-11-10 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.15.15

2010-11-07 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.15.14

2010-10-12 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.15.13

2010-07-21 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.15.12
	* DEPENDS: fixed libvorbis, lame flags; added fluidsynth opt dep
	* CONFIGURE: rewritten, to use MPD_OPTS; unify++; removed
	  "--enable-iso9660" (it's not just a flag, but needs an external
	  library called libiso9660, which we don't have yet in grimoire)
	* BUILD: apply MPD_OPTS here so they go to configure script -- all stuff
	  in CONFIGURE has been completely useless until this commit

2010-07-15 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.15.11
	* DEPENDS: corrected bzip2 disable flag

2010-07-08 Arjan Bouter <abouter@sourcemage.org>
	* DEPENDS, CONFIGURE: added missing options, dependencies an defaults

2010-05-30 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.15.10

2010-03-22 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.15.9

2010-01-22 Vlad Glagolev <stealth@sourcemage.org>
	* FINAL: don't install rubbish (mpd.log), even it can be syslog setting

2010-01-20 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.15.8

2009-12-29 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.15.7

2009-12-16 Philippe "Puppet_Master" Caseiro <puppetmaster@sourcemage.org>
	* init.d/mpd : Testing if db file exist instead of variable content

2009-11-19 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.15.6

2009-10-19 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.15.5

2009-10-04 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.15.4

2009-08-31 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.15.3

2009-08-16 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.15.2

2009-07-18 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.15.1
	* init.d/mpd.conf: renewed default configuration file from 0.15.1 dist

2009-06-26 Vlad Glagolev <stealth@sourcemage.org>
	* FINAL: mpd.error isn't used anymore, everything's in mpd.log since now

2009-06-25 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.15
	* DEPENDS: corrected flags, added sqlite, libmodplug, libshout, libmms
	  deps; cleaned up
	* BUILD: added, to create account musicdaemon
	* PRE_BUILD: removed, removed dirty hacks
	* init.d/mpd: added arg for the config; fixed db file path

2009-03-02 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Optionally depends on avahi

2009-02-24 Vlad Glagolev <stealth@sourcemage.org>
	* TRIGGERS: added, needs recompilation on faad2 renewal
	* DEPENDS: fixed oggvorbis and libmad flags

2009-02-14 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.14.2

2009-01-18 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.14.1

2008-12-26 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.14; fixed source url; quoting paths
	* DEPENDS: added missing deps; cleaned up
	* INSTALL, FINAL: cleaned up
	* PRE_BUILD: quoting paths; cleaned up

2008-06-17 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.13.2

2008-06-12 Juuso Alasuutari <iuso@sourcemage.org>
	* DEPENDS: Changed optional depends jack to JACK-DRIVER.

2008-02-25 Remko van der Vossen <wich@sourcemage.org>
	* DEPENDS: added optional depends jack and pulseaudio

2008-02-06 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 0.13.1

2007-07-12 Pol Vinogradov <vin.public@gmail.com>
	* INSTALL: made config install to /etc/sysconfig/ for init script,
	  removed tabs
	* FINAL: removed account creating code
	* PRE_BUILD: added, creates musicdaemon account and does sedit for
	  config file path in source code for init script
	* init.d/mpd: now uses mpd.db from config file
	* mpd.conf -> init.d/mpd.conf

2007-06-26 Philippe "Puppet_Master" Caseiro <puppetmaster@sourcemage.org>
	* FINAL : using local vars
	* INSTALL : fixing installation of config file (SM-COMMIT thread)

2007-06-22 Philippe "Puppet_Master" Caseiro <puppetmaster@sourcemage.org>
	* FINAL : Changing MPD_HOME to MPD_LIB
	* init.d/mpd : Removing bad comment

2007-06-20 Philippe "Puppet_Master" Caseiro <caseiro.philippe@free.fr>
	* inid.d : adding init script
	* FINAL : adding file to mpd user creation
	* mpd.conf : adding configuration file
	* INSTALL : change the installed configuration file

2007-05-31 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 0.13.0

2007-02-19 Pol Vinogradov <vin.public@gmail.com>
	* DEPENDS: switched to libmpcdec from deprecated libmusepack

2006-12-27 Pol Vinogradov <vin.public@gmail.com>
	* DETAILS: updated to 0.12.1, switched to bz2 tarball, changed
	  SOURCE_URL
	* DEPENDS: made libao optional, added libmusepack as optional, fixed
	  options and descriptions for libmad and libid3tag

2006-12-26 Pol Vinogradov <vin.public@gmail.com>
	* DEPENDS: added --{en,dis}able-feature for each optional_depends
	* INSTALL: removed $SOURCE_DIRECTORY, not needed

2006-09-21 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: [automated] Removed BUILD_API=2.

2006-08-15 Juuso Alasuutari <iuso@sourcemage.org>
	* DETAILS: [automated] Removed UPDATED (deprecated in favor of 
	  PATCHLEVEL).

2006-03-28 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Added PATCHLEVEL for mpd.conf installation
	* INSTALL: Added to install default global mpd.conf

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2005-11-29 Seth Woolley <seth@tautology.org>
	* DETAILS: MD5 -> SHA512

2005-02-15 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 0.11.5
	  Added BUILD_API=2

2004-07-26 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 0.11.4

2004-07-21 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 0.11.3

2004-06-25 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 0.11.1

2004-06-19 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 0.11.0
	* DEPENDS: added optional_depends on libmikmod

2004-05-27 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 0.10.4

2004-05-16 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DEPENDS, DETAILS, HISTORY: created this spell
